### Hierarchy

- AddrRecord

### Implements

- SignedMessageData<BaseAddrPair>

## Index

### Constructors

- constructor

### Properties

- data
- sig

### Methods

- getMessage
- getSignedMessage

## Constructors

### constructor

- new AddrRecord(data?: BaseAddrPair | string, sig?: string): AddrRecord

- - Defined in utils/types/BaseTypes.ts:40

  #### Parameters

  - ##### Optional data: BaseAddrPair | string

  - ##### Optional sig: string

  #### Returns AddrRecord

## Properties

### data

data: BaseAddrPair

- Defined in utils/types/BaseTypes.ts:39

### sig

sig: string

- Defined in utils/types/BaseTypes.ts:40

## Methods

### getMessage

- getMessage(): MessageData<string>

- - Defined in utils/types/BaseTypes.ts:60

  #### Returns MessageData<string>

### getSignedMessage

- getSignedMessage(): StringSignedMessage

- - Defined in utils/types/BaseTypes.ts:56

  #### Returns StringSignedMessage

Generated using TypeDoc